Skip to navigation

Create Check

View as Markdown

Same key and definition return the same check; a changed definition conflicts.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
agent_slugstringRequired

Request

This endpoint expects an object.
environmentobjectRequired
idempotency_keystringRequired1-128 characters
namestringRequired1-200 characters
taskobjectRequired

Response

Successful Response
checkobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error